Show / Hide Table of Contents

# Interface IEmbed

Represents a Discord embed object.

###### Namespace: Discord

###### Assembly: Discord.Net.Core.dll

##### Syntax

    public interface IEmbed

### Properties

| Improve this Doc View Source

#### Author

Gets the author field of this embed.

##### Declaration

    EmbedAuthor? Author { get; }

##### Property Value

Type | Description
--- | ---
System.Nullable<EmbedAuthor> | The author field of the embed, or `null` if none is set.

| Improve this Doc View Source

#### Color

Gets the color of this embed.

##### Declaration

    Color? Color { get; }

##### Property Value

Type | Description
--- | ---
System.Nullable<Color> | The color of the embed present on the side of the embed, or `null` if none is set.

| Improve this Doc View Source

#### Description

Gets the description of this embed.

##### Declaration

    string Description { get; }

##### Property Value

Type | Description
--- | ---
System.String | The description field of the embed.

| Improve this Doc View Source

#### Fields

Gets the fields of the embed.

##### Declaration

    ImmutableArray<EmbedField> Fields { get; }

##### Property Value

Type | Description
--- | ---
System.Collections.Immutable.ImmutableArray<EmbedField> | An array of the fields of the embed.

| Improve this Doc View Source

#### Footer

Gets the footer field of this embed.

##### Declaration

    EmbedFooter? Footer { get; }

##### Property Value

Type | Description
--- | ---
System.Nullable<EmbedFooter> | The author field of the embed, or `null` if none is set.

| Improve this Doc View Source

#### Image

Gets the image of this embed.

##### Declaration

    EmbedImage? Image { get; }

##### Property Value

Type | Description
--- | ---
System.Nullable<EmbedImage> | The image of the embed, or `null` if none is set.

| Improve this Doc View Source

#### Provider

Gets the provider of this embed.

##### Declaration

    EmbedProvider? Provider { get; }

##### Property Value

Type | Description
--- | ---
System.Nullable<EmbedProvider> | The source of the embed, or `null` if none is set.

| Improve this Doc View Source

#### Thumbnail

Gets the thumbnail featured in this embed.

##### Declaration

    EmbedThumbnail? Thumbnail { get; }

##### Property Value

Type | Description
--- | ---
System.Nullable<EmbedThumbnail> | The thumbnail featured in the embed, or `null` if none is set.

| Improve this Doc View Source

#### Timestamp

Gets the timestamp of this embed.

##### Declaration

    DateTimeOffset? Timestamp { get; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.DateTimeOffset> | A System.DateTimeOffset based on the timestamp present at the bottom left of the embed, or `null` if none is set.

| Improve this Doc View Source

#### Title

Gets the title of this embed.

##### Declaration

    string Title { get; }

##### Property Value

Type | Description
--- | ---
System.String | The title of the embed.

| Improve this Doc View Source

#### Type

Gets the type of this embed.

##### Declaration

    EmbedType Type { get; }

##### Property Value

Type | Description
--- | ---
EmbedType | The type of the embed.

| Improve this Doc View Source

#### Url

Gets the title URL of this embed.

##### Declaration

    string Url { get; }

##### Property Value

Type | Description
--- | ---
System.String | A string containing the URL set in a title of the embed.

| Improve this Doc View Source

#### Video

Gets the video of this embed.

##### Declaration

    EmbedVideo? Video { get; }

##### Property Value

Type | Description
--- | ---
System.Nullable<EmbedVideo> | The video of the embed, or `null` if none is set.

### Extension Methods

EmbedBuilderExtensions.ToEmbedBuilder(IEmbed)